package com.fs.bdAdv.service;

import com.fs.bdAdv.domain.FsAdvSem;
import com.fs.bdAdv.param.FsAdvSemStatisticsByDayParam;
import com.fs.bdAdv.vo.FsAdvSemStatisticsByDayVo;

import java.util.List;

/**
 * App广告投流Service接口
 *
 * @author fs
 * @date 2024-11-19
 */
public interface IFsAdvSemService
{
    /**
     * 查询App广告投流
     *
     * @param id App广告投流主键
     * @return App广告投流
     */
    public FsAdvSem selectFsAdvSemById(Long id);

    /**
     * 查询App广告投流列表
     *
     * @param fsAdvSem App广告投流
     * @return App广告投流集合
     */
    public List<FsAdvSem> selectFsAdvSemList(FsAdvSem fsAdvSem);

    /**
     * 新增App广告投流
     *
     * @param fsAdvSem App广告投流
     * @return 结果
     */
    public int insertFsAdvSem(FsAdvSem fsAdvSem);

    /**
     * 修改App广告投流
     *
     * @param fsAdvSem App广告投流
     * @return 结果
     */
    public int updateFsAdvSem(FsAdvSem fsAdvSem);

    /**
     * 批量删除App广告投流
     *
     * @param ids 需要删除的App广告投流主键集合
     * @return 结果
     */
    public int deleteFsAdvSemByIds(Long[] ids);

    /**
     * 删除App广告投流信息
     *
     * @param id App广告投流主键
     * @return 结果
     */
    public int deleteFsAdvSemById(Long id);

    public FsAdvSem selectFsAdvSemByOaid(String oaid);

    public FsAdvSem selectFsAdvSemByModel(String model,Integer osType);

    /**
     * 以天为单位进行数据统计
     * @return
     */
    List<FsAdvSemStatisticsByDayVo> selectFsAdvSemStatisticsByDayVo(FsAdvSemStatisticsByDayParam param);

}
